﻿@model IEnumerable<ApplidevKPI.Models.Project>

@*List Projects*@
<table class="table setting-table table-responsive">
    <thead class="setting-thread">
        <tr>
            <th scope="col"><a onclick='addCreateLine(this, "Project")'><span class="setting-plus glyphicon glyphicon-plus"></span></a></th>
            <th scope="col">Libellé</th>
            <th scope="col">Client</th>
            <th scope="col">Temps estimé (j)</th>
            <th scope="col">Tâches</th>
            <th scope="col">Sélection temps passé</th>
            <th scope="col">Affichage KPI</th>
            <th scope="col">Édition</th>
        </tr>
    </thead>
    <tbody>
        @try
        {
            foreach (var item in Model)
            {
                <tr>
                    <td></td>
                    <td>
                        @Html.DisplayFor(modelItem => item.Wording)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.Customer.Wording)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.Estimated_time)
                    </td>
                    <td>
                        <a id="@item.PK_ID" class="setting-task glyphicon glyphicon-list-alt" onclick="showTaskTable(@item.PK_ID)"></a>
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.Selection_time_spent)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.Display_kpi)
                    </td>
                    <td style="user-select: none;">
                        <a id="@item.PK_ID" class="setting-edit glyphicon glyphicon-pencil" onclick='addEditLine(this, "Project");'></a>
                        <a id="@item.PK_ID" class="setting-delete glyphicon glyphicon-trash" onclick='deleteConfirmation(this, "DeleteProject","@item.Wording");'></a>
                    </td>
                </tr>
            }
        }
        catch (Exception e)
        {
            Console.WriteLine("{0} Exception caught.", e);
        }
    </tbody>
</table>